Bug 882120 - fedora 18 - preupgrade.error.PUError: checksum failure downloading vmlinuz
fedora 18 - preupgrade.error.PUError: checksum failure downloading vmlinuz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 02:43 EST by Nilesh Patil
Modified: 2014-02-05 08:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:26:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nilesh Patil 2012-11-30 02:43:24 EST
How reproducible:
Just ran preupgrade-cli with latest fedora 18 release.

Actual Results:
root /boot # preupgrade-cli   "Fedora 18 Branched Pre-release (Spherical Cow)"
Loaded plugins: blacklist, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Loaded plugins: presto, refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-18&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-18&arch=x86_64
fedora/17/x86_64/metalink                                                                                                                                          |  19 kB     00:00     
fedora                                                                                                                                                             | 4.2 kB     00:00     
google-chrome                                                                                                                                                      |  951 B     00:00     
google-talkplugin                                                                                                                                                  |  951 B     00:00     
rpmfusion-free                                                                                                                                                     | 3.3 kB     00:00     
rpmfusion-free-updates                                                                                                                                             | 3.3 kB     00:00     
updates/17/x86_64/metalink                                                                                                                                         |  15 kB     00:00     
updates                                                                                                                                                            | 4.7 kB     00:00     
http://download.eng.pnq.redhat.com/pub/fedora/linux/updates/17/x86_64/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates
Trying other mirror.
updates                                                                                                                                                            | 4.7 kB     00:00     
(1/2): fedora/primary_db                                                                                                                                           |  14 MB     00:33     
(2/2): updates/primary_db                                                                                                                                          | 7.0 MB     00:49     
(1/4): google-chrome/primary                                                                                                                                       | 1.4 kB     00:00     
(2/4): google-talkplugin/primary                                                                                                                                   | 1.5 kB     00:00     
(3/4): rpmfusion-free-updates/primary_db                                                                                                                           | 281 kB     00:03     
(4/4): rpmfusion-free/primary_db                                                                                                                                   | 403 kB     00:04     
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/18/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/18/x86_64/os/
preupgrade-rpmfusion-free-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64
http://download.eng.pnq.redhat.com/pub/fedora/linux/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://download.eng.pnq.redhat.com/pub/fedora/linux/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://linux.mirrors.es.net/fedora/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://linux.mirrors.es.net/fedora/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://mirrors.kernel.org/fedora/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://mirrors.kernel.org/fedora/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://fedora.mirrors.tds.net/pub/fedora/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://fedora.mirrors.tds.net/pub/fedora/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://fedora.mirror.constant.com/linux/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://fedora.mirror.constant.com/linux/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://mirror.web-ster.com/fedora/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://mirror.web-ster.com/fedora/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://mirror.nexcess.net/fedora/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://mirror.nexcess.net/fedora/development/18/x86_64/os//.treeinfo
Trying other mirror.
http://ftp.linux.ncsu.edu/pub/fedora/linux/development/18/x86_64/os//.treeinfo: [Errno 14] HTTP Error 404 - Not Found : http://ftp.linux.ncsu.edu/pub/fedora/linux/development/18/x86_64/os//.treeinfo
Trying other mirror.
Fetched treeinfo from ftp://mirror.cs.princeton.edu/pub/mirrors/fedora/linux/development/18/x86_64/os//.treeinfo========================================]  0.0 B/s |  936 B     --:-- ETA 
treeinfo timestamp: Wed Nov 14 19:17:52 2012
MEMORY                                                                                                                                                             |  936 B     00:00     
vmlinuz                                                                                                                                                            | 4.6 MB     00:00     
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 330, in <module>
    pu.main(release)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 207, in main
    self.retrieve_critical_boot_files()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 568, in retrieve_critical_boot_files
    self._retrieve_file(item)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 489, in _retrieve_file
    raise PUError, _("checksum failure downloading %s") % item_fname
preupgrade.error.PUError: checksum failure downloading vmlinuz


Expected results:
preupgrade should run without problems.

Additional info:
root /boot # cat /etc/redhat-release 
Fedora release 17 (Beefy Miracle)
root /boot # uname -a
Linux npatil.pnq.redhat.com 3.6.7-4.fc17.x86_64 #1 SMP Tue Nov 20 19:40:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Christian Kujau 2013-12-09 01:22:22 EST
Please see https://fedoraproject.org/wiki/How_to_use_PreUpgrade

> Preupgrade deprecated for Fedora 18
> Preupgrade does not at present and will not ever work for upgrading to
> Fedora 18, or any version after that. It was replaced by FedUp.

...NOTABUG?
Comment 2 Fedora End Of Life 2013-12-21 04:34:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 08:26:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.